Berkeley DB version 4.4.20

## com.sleepycat.db
Class Lock

    java.lang.Object
      com.sleepycat.db.Lock

public final class Lock
extends Object

The locking interfaces for the database environment are methods of the `Environment` handle. The `Lock` object is the handle for a single lock, and has no methods of its own.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Berkeley DB version 4.4.20

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.